FAQ
Dear All,

I have a centos 5 server running my mail and Dns working fine

but when i try to do u yum ugrade or yum update it gives me lots of perl
errors and it terminates

OS is centos 5 (final)

the part of errors reported
---------------------------------

file /usr/lib/perl5/5.8.8/Math/BigFloat.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigInt-1.86-1
file /usr/lib/perl5/5.8.8/Math/BigInt.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigInt-1.86-1
file /usr/lib/perl5/5.8.8/Math/BigInt/Calc.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigInt-1.86-1
file /usr/lib/perl5/5.8.8/Math/BigInt/CalcEmu.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigInt-1.86-1
file /usr/share/man/man3/Math::BigFloat.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigInt-1.86-1
file /usr/share/man/man3/Math::BigInt.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigInt-1.86-1
file /usr/share/man/man3/Math::BigInt::Calc.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigInt-1.86-1
file /usr/share/man/man3/Math::BigInt::CalcEmu.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigInt-1.86-1
file /usr/lib/perl5/5.8.8/Math/BigRat.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigRat-0.19-1
file /usr/share/man/man3/Math::BigRat.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Math-BigRat-0.19-1
file /usr/lib/perl5/5.8.8/bigint.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-bignum-0.21-1
file /usr/lib/perl5/5.8.8/bignum.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-bignum-0.21-1
file /usr/lib/perl5/5.8.8/bigrat.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-bignum-0.21-1
file /usr/share/man/man3/bigint.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-bignum-0.21-1
file /usr/share/man/man3/bignum.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-bignum-0.21-1
file /usr/share/man/man3/bigrat.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-bignum-0.21-1
file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/Sys/Syslog.pm from
install of perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Sys-Syslog-0.18-1
file
/usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/Sys/Syslog/Syslog.so
from install of perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-Sys-Syslog-0.18-1
file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO.pm from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package perl-IO-1.2301-1
file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/Dir.pm from install
of perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-IO-1.2301-1
file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/File.pm from
install of perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-IO-1.2301-1
file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/Handle.pm from
install of perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-IO-1.2301-1
file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/Socket.pm from
install of perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-IO-1.2301-1
file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/IO/IO.so from
install of perl-5.8.8-18.el5_3.1 conflicts with file from package
perl-IO-1.2301-1
file /usr/share/man/man3/IO.3pm.gz from install of perl-5.8.8-18.el5_3.1
conflicts with file from package perl-IO-1.2301-1
file /usr/share/man/man3/IO::Dir.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package perl-IO-1.2301-1
file /usr/share/man/man3/IO::File.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package perl-IO-1.2301-1
file /usr/share/man/man3/IO::Handle.3pm.gz from install of
perl-5.8.8-18.el5_3.1 conflicts with file from package perl-IO-1

-------------------------


apprecite your advice and help


regards

fabian


--
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

Search Discussions

  • John R Pierce at May 27, 2009 at 6:29 am

    fabian dacunha wrote:
    Dear All,

    I have a centos 5 server running my mail and Dns working fine

    but when i try to do u yum ugrade or yum update it gives me lots of perl
    errors and it terminates

    OS is centos 5 (final)

    the part of errors reported
    ---------------------------------

    file /usr/lib/perl5/5.8.8/Math/BigFloat.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    .....


    have you by any chance ever used CPAN to install perl modules ?
  • Michael A. Peters at May 27, 2009 at 7:36 am

    John R Pierce wrote:
    fabian dacunha wrote:
    Dear All,

    I have a centos 5 server running my mail and Dns working fine

    but when i try to do u yum ugrade or yum update it gives me lots of perl
    errors and it terminates

    OS is centos 5 (final)

    the part of errors reported
    ---------------------------------

    file /usr/lib/perl5/5.8.8/Math/BigFloat.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    .....


    have you by any chance ever used CPAN to install perl modules ?
    cpan wouldn't cause RPM conflicts, since rpm doesn't know about what
    CPAN installs.
    Chances are he has some perl RPM's from a third party repo.
  • Fabian dacunha at May 27, 2009 at 10:34 am

    John R Pierce wrote:
    fabian dacunha wrote:
    Dear All,

    I have a centos 5 server running my mail and Dns working fine

    but when i try to do u yum ugrade or yum update it gives me lots of
    perl
    errors and it terminates

    OS is centos 5 (final)

    the part of errors reported
    ---------------------------------

    file /usr/lib/perl5/5.8.8/Math/BigFloat.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    .....


    have you by any chance ever used CPAN to install perl modules ?
    cpan wouldn't cause RPM conflicts, since rpm doesn't know about what
    CPAN installs.
    Chances are he has some perl RPM's from a third party repo.
    _______________________________________________

    thanks guys for the quick reply

    guess u right

    I have MailScanner installed from source ( jules package)
    guess those perl rpms causeing the problem

    i check this out n let u guys know

    apppreciate and thanks

    Thanks and regards

    simon


    CentOS mailing list
    CentOS at centos.org
    http://lists.centos.org/mailman/listinfo/centos

    --
    This message has been scanned for viruses and
    dangerous content by MailScanner, and is
    believed to be clean.

    --
    This message has been scanned for viruses and
    dangerous content by MailScanner, and is
    believed to be clean.
  • Scott Silva at May 28, 2009 at 4:53 pm

    on 5-26-2009 11:15 PM fabian dacunha spake the following:
    Dear All,

    I have a centos 5 server running my mail and Dns working fine

    but when i try to do u yum ugrade or yum update it gives me lots of perl
    errors and it terminates

    OS is centos 5 (final)

    the part of errors reported
    ---------------------------------

    file /usr/lib/perl5/5.8.8/Math/BigFloat.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    file /usr/lib/perl5/5.8.8/Math/BigInt.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    file /usr/lib/perl5/5.8.8/Math/BigInt/Calc.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    file /usr/lib/perl5/5.8.8/Math/BigInt/CalcEmu.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    file /usr/share/man/man3/Math::BigFloat.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    file /usr/share/man/man3/Math::BigInt.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    file /usr/share/man/man3/Math::BigInt::Calc.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    file /usr/share/man/man3/Math::BigInt::CalcEmu.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigInt-1.86-1
    file /usr/lib/perl5/5.8.8/Math/BigRat.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigRat-0.19-1
    file /usr/share/man/man3/Math::BigRat.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Math-BigRat-0.19-1
    file /usr/lib/perl5/5.8.8/bigint.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-bignum-0.21-1
    file /usr/lib/perl5/5.8.8/bignum.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-bignum-0.21-1
    file /usr/lib/perl5/5.8.8/bigrat.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-bignum-0.21-1
    file /usr/share/man/man3/bigint.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-bignum-0.21-1
    file /usr/share/man/man3/bignum.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-bignum-0.21-1
    file /usr/share/man/man3/bigrat.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-bignum-0.21-1
    file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/Sys/Syslog.pm from
    install of perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Sys-Syslog-0.18-1
    file
    /usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/Sys/Syslog/Syslog.so
    from install of perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-Sys-Syslog-0.18-1
    file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO.pm from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package perl-IO-1.2301-1
    file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/Dir.pm from install
    of perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-IO-1.2301-1
    file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/File.pm from
    install of perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-IO-1.2301-1
    file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/Handle.pm from
    install of perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-IO-1.2301-1
    file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/IO/Socket.pm from
    install of perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-IO-1.2301-1
    file /usr/lib/perl5/5.8.8/i386-linux-thread-multi/auto/IO/IO.so from
    install of perl-5.8.8-18.el5_3.1 conflicts with file from package
    perl-IO-1.2301-1
    file /usr/share/man/man3/IO.3pm.gz from install of perl-5.8.8-18.el5_3.1
    conflicts with file from package perl-IO-1.2301-1
    file /usr/share/man/man3/IO::Dir.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package perl-IO-1.2301-1
    file /usr/share/man/man3/IO::File.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package perl-IO-1.2301-1
    file /usr/share/man/man3/IO::Handle.3pm.gz from install of
    perl-5.8.8-18.el5_3.1 conflicts with file from package perl-IO-1

    -------------------------
    Are you running MailScanner?
    If so, install a (very) recent build and it should fix this for you.



    -------------- next part --------------
    A non-text attachment was scrubbed...
    Name: signature.asc
    Type: application/pgp-signature
    Size: 258 bytes
    Desc: OpenPGP digital signature
    Url : http://lists.centos.org/pipermail/centos/attachments/20090528/15c54aa5/attachment.bin

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupcentos @
categoriescentos
postedMay 27, '09 at 6:15a
activeMay 28, '09 at 4:53p
posts5
users4
websitecentos.org
irc#centos

People

Translate

site design / logo © 2022 Grokbase